
From: Martin Waitz <tali@admingilde.org>

This patch changes a macro definition so that kernel-doc can understand it.

Signed-off-by: Martin Waitz <tali@admingilde.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/sound/pcm.h |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN include/sound/pcm.h~docbook-fix-kernel-api-documentation-generation include/sound/pcm.h
--- 25/include/sound/pcm.h~docbook-fix-kernel-api-documentation-generation	Mon Aug 29 15:14:45 2005
+++ 25-akpm/include/sound/pcm.h	Mon Aug 29 15:14:45 2005
@@ -910,11 +910,10 @@ int snd_pcm_format_big_endian(snd_pcm_fo
  * Returns 1 if the given PCM format is CPU-endian, 0 if
  * opposite, or a negative error code if endian not specified.
  */
-/* int snd_pcm_format_cpu_endian(snd_pcm_format_t format); */
 #ifdef SNDRV_LITTLE_ENDIAN
-#define snd_pcm_format_cpu_endian	snd_pcm_format_little_endian
+#define snd_pcm_format_cpu_endian(format) snd_pcm_format_little_endian(format)
 #else
-#define snd_pcm_format_cpu_endian	snd_pcm_format_big_endian
+#define snd_pcm_format_cpu_endian(format) snd_pcm_format_big_endian(format)
 #endif
 int snd_pcm_format_width(snd_pcm_format_t format);			/* in bits */
 int snd_pcm_format_physical_width(snd_pcm_format_t format);		/* in bits */
_
